
QGIS Application - Bug report #17196

Rubber band is not correctly displayed when map is rotated

2017-09-25 02:48 PM - Loïc BARTOLETTI

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25095

Description

When you draw complex geometry (especially with Circular string), the rubber band is not correctly displayed when map is rotated and

especially when the map have many objects or rasters.

What I mean by not correctly displayed is the presence of artefact or broken line/curve.

Tested with QGis 2.18 Windows and QGis 2.99 Debian

History

#1 - 2017-10-16 04:21 PM - Richard Duivenvoorde

- File circularringartefacts.png added

Confirmed here (wanted to create an issue and then found this one).

Current master Debian

To reproduce:

- create a new Memory Polygon layer

- choose 'Add Circular String' to add a new feature

- start with some points like in the screendump

- then move on the right side from right to left

You see the artefacts in my screendump. With the next repaint they are gone.

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-21 10:22 AM - Loïc BARTOLETTI

- Affected QGIS version changed from 2.18.13 to 3.5(master)

- Status changed from Feedback to Open

Files

Sans titre.png 6.66 KB 2017-09-25 Loïc BARTOLETTI

circularringartefacts.png 30.5 KB 2017-10-16 Richard Duivenvoorde
